# Computing moon data

import math

# Mean moon month: 29 days, 12 hours, 43 minutes, 11 seconds
MOON_MONTH = 29*86400 + 12*3600 + 43*60 + 11  # seconds
MOON_QUARTER = MOON_MONTH*0.25   # Duration of a moon quarter

# First new moon after 1/1/1970
NEW_MOON_1 = 660262.0    # seconds
MOON_ZERO = NEW_MOON_1 - MOON_QUARTER*0.5

def moon_phase(nsec):  # Moon phase at given time
                       # 0: new, 1:first quarter, 2:full, 3:last quarter
    phase_sec = math.fmod(nsec-MOON_ZERO, MOON_MONTH)
    phase = int(phase_sec/MOON_QUARTER)
    return phase
