import numpy as np
from astropy.coordinates import get_moon, get_sun
from astropy.time import Time

def mphase(ttime):
    sun = get_sun(ttime)
    moon = get_moon(ttime)
    elongation = sun.separation(moon)
    return np.arctan2(sun.distance*np.sin(elongation),
                      moon.distance - sun.distance*np.cos(elongation))

if __name__ == '__main__':
    now =  Time.now()
    print("Moon phase right now:", mphase(now).to("deg"))
