import sys
import numpy as np
import matplotlib.pyplot as plt
from show import show

RADIUS = 50
class ObjectSelector:
    def __init__(self, image):
        plt.ion()
        self.fig = plt.figure()
        show(image)
        plt.title("Center click to select object. End with right click")
        self.ax = self.fig.gca()
        cid1 = self.fig.canvas.mpl_connect("button_press_event", self._press)
        cid2 = self.fig.canvas.mpl_connect("button_release_event", self._release)
        self.goon = True
        self.circles = []
        plt.show()

    def start(self):
        while self.goon: plt.pause(0.10)

    def _press(self, event):
        if event.button == 2: self.xc = event.xdata; self.yc = event.ydata

    def _release(self, event):
        if event.button == 2:
            circle = plt.Circle((self.xc, self.yc), RADIUS, color="cyan", fill=False)
            self.ax.add_artist(circle)
            self.circles.append([self.xc, self.yc, RADIUS])
            plt.draw()
        elif event.button == 3:
            self.goon = False

if __name__ == "__main__":
    img = np.load(sys.argv[1])
    sel = ObjectSelector(img)
    sel.start()
    with open("selected.dat", "w") as fpt:
        print(sel.circles, file=fpt)
