"""
Compute shift between first image and all the other
using the cross correlation method
"""
import numpy as np
from pipeline import CalPipeline
from utils import maxcoords, crosscorr

first_img=None
SHIFTS = []
center0 = None

def imgshift(img, step, args, common_args):
    global SHIFTS, first_img, center0
    print("Step:",step)
    if step == 0:
        cc = crosscorr(img,img)
        center0 = maxcoords(cc)
        first_img = img
    else:
        cc = crosscorr(first_img, img)
    SHIFTS.append(list(maxcoords(cc)-center0))
    
if __name__ == "__main__":
    pipe = CalPipeline(imgshift)
    pipe.run()
